Subject: Re: [ANN] Dynamically linked perl5.005_03 binary & patches
From: "Dr. Volker Zell" <[email-masked]>
To: "Charles S. Wilson" <[email-masked]>
Cc: Rick Rankin <[email-masked]>, [email-masked]
Date: 27 May 1999 10:02:14 +0200

>>>>> "Charles" == Charles S Wilson <[email-masked]> writes:

    Charles> Rick Rankin wrote:
    >> Charles,
    >> 
    >> I get an "Access denied" message when I try to download the
    >> patch. Is it my connection, or has anyone else been successful?
    >> 

    Charles> I think it's on your end; so far there have been three
    Charles> successful downloads of the patch (and 10 successful
    Charles> downloads of the binary). When I get the files
    Charles> transferred to cygutils.netpedia.net, http: downloads
    Charles> should take care of most firewall issues.

I had the same problems first. I then entered only the directory part of the URL
and then clicked in the directory listing on the relevant file.

But I have a different problem. I downloaded the patch, compiled everything and 
got the following testresults:

vzell:/gnu/src/perl5.005_03/t> ./perl -I../lib harness
base/cond...........ok
base/if.............ok
base/lex............ok
base/pat............ok
base/rs.............ok, 4/14 subtests skipped
base/term...........ok
comp/cmdopt.........ok
comp/colon..........ok
comp/cpp............ok
comp/decl...........ok
comp/multiline......ok
comp/package........ok
comp/proto..........ok
comp/redef..........ok
comp/require........ok
comp/script.........ok
comp/term...........ok
comp/use............ok
cmd/elsif...........ok
cmd/for.............ok
cmd/mod.............ok
cmd/subval..........ok
cmd/switch..........ok
cmd/while...........ok
io/argv.............ok
io/dup..............ok
io/fs...............ok, 9/28 subtests skipped
io/inplace..........ok
io/iprefix..........ok
io/pipe.............ok
io/print............ok
io/read.............ok
io/tell.............ok
op/append...........ok
op/arith............ok
op/array............ok
op/assignwarn.......ok
op/auto.............ok
op/avhv.............ok
op/bop..............ok
op/chop.............ok
op/closure..........ok
op/cmp..............ok
op/cond.............ok
op/context..........ok
op/defins...........ok
op/delete...........ok
op/die..............ok
op/die_exit.........ok
op/do...............ok
op/each.............ok
op/eval.............ok
op/exec.............ok
op/exp..............ok
op/flip.............ok
op/fork.............ok
op/glob.............ok
op/goto.............ok
op/goto_xs..........ok
op/grep.............ok
op/groups...........ok
op/gv...............ok
op/hashwarn.........ok
op/inc..............ok
op/index............ok
op/int..............ok
op/join.............ok
op/list.............ok
op/local............ok
op/magic............ok, 4/35 subtests skipped
op/method...........ok
op/misc.............ok
op/mkdir............ok
op/my...............ok
op/nothread.........ok
op/oct..............ok
op/ord..............ok
op/pack.............Cannot compress negative numbers at op/pack.t line 59.
dubious
        Test returned status 255 (wstat 65280, 0xff00)
DIED. FAILED tests 10-142
        Failed 133/142 tests, 6.34% okay
op/pat..............ok
op/pos..............ok
op/push.............ok
op/quotemeta........ok
op/rand.............ok
op/range............ok
op/read.............ok
op/readdir..........ok
op/recurse..........ok
op/ref..............ok
op/regexp...........ok
op/regexp_noamp.....ok
op/repeat...........ok
op/runlevel.........ok
op/sleep............ok
op/sort.............ok
op/splice...........ok
op/split............ok
op/sprintf..........ok
op/stat.............ok, 4/58 subtests skipped
op/study............ok
op/subst............ok
op/substr...........ok
op/sysio............ok
op/taint............ok, 13/149 subtests skipped
op/tie..............ok
op/tiearray.........ok
op/tiehandle........ok
op/time.............ok
op/tr...............ok
op/undef............ok
op/universal........ok
op/unshift..........ok
op/vec..............ok
op/wantarray........ok
op/write............ok
pragma/constant.....ok
pragma/locale.......ok
pragma/overload.....ok
pragma/strict.......ok
pragma/subs.........ok
pragma/warning......ok
lib/abbrev..........ok
lib/anydbm..........ok, 1/12 subtest skipped
lib/autoloader......ok
lib/basename........ok
lib/bigint..........ok
lib/bigintpm........ok
lib/cgi-form........ok
lib/cgi-function....ok
lib/cgi-html........ok
lib/cgi-request.....ok
lib/checktree.......ok
lib/complex.........ok
lib/db-btree........ok
lib/db-hash.........ok
lib/db-recno........ok
lib/dirhand.........ok
lib/dosglob.........ok
lib/dumper-ovl......ok
lib/dumper..........ok
lib/english.........ok
lib/env.............ok
lib/errno...........ok
lib/fatal...........ok
lib/fields..........ok
lib/filecache.......ok
lib/filecopy........ok
lib/filefind........ok
lib/filehand........ok
lib/filepath........ok
lib/filespec........ok
lib/findbin.........ok
lib/gdbm............skipping test on this platform
lib/getopt..........ok
lib/h2ph............ok
lib/hostname........ok
lib/io_dup..........ok
lib/io_pipe.........ok
lib/io_sel..........ok
lib/io_sock.........ok
lib/io_taint........ok
lib/io_tell.........ok
lib/io_udp..........ok
lib/io_xs...........ok
lib/ipc_sysv........skipping test on this platform
lib/ndbm............skipping test on this platform
lib/odbm............skipping test on this platform
lib/opcode..........ok
lib/open2...........ok
lib/open3...........ok
lib/ops.............ok
lib/parsewords......ok
lib/ph..............ok
lib/posix...........ok
lib/safe1...........ok
lib/safe2...........ok
lib/sdbm............ok
lib/searchdict......ok
lib/selectsaver.....ok
lib/socket..........ok
lib/soundex.........ok
lib/symbol..........ok
lib/textfill........ok
lib/texttabs........ok
lib/textwrap........ok
lib/thread..........skipping test on this platform
lib/tie-push........ok
lib/tie-stdarray....ok
lib/tie-stdpush.....ok
lib/timelocal.......ok
lib/trig............ok
Failed Test  Status Wstat Total Fail  Failed  List of failed
-------------------------------------------------------------------------------
op/pack.t       255 65280   142  133  93.66%  10-142
5 tests skipped, plus 35 subtests skipped.
Failed 1/190 test scripts, 99.47% okay. 133/6696 subtests failed, 98.01% okay.
vzell:/gnu/src/perl5.005_03/t> 

Anyway I installed perl and tried compiling 

  DBI-1.08 - http://www.symbolstone.org/technology/perl/DBI/index.html

Here I got:

PERL_DL_NONLAZY=1 /usr/local/bin/perl -Iblib/arch -Iblib/lib -I/usr/local/lib/perl5/5.00503/cygwin32 -I/usr/local/lib/perl5/5.00503 -e 'use Test::Harness qw(&runtests $verbose); $verbose=0; runtests @ARGV;' t/*.t
t/basics............ok
t/dbidrv............ok
t/examp.............Insecure $ENV{PATH} while running with -T switch at /usr/local/lib/perl5/5.00503/Cwd.pm line 82.
dubious
	Test returned status 255 (wstat 65280, 0xff00)
DIED. FAILED tests 30-186
	Failed 157/186 tests, 15.59% okay
t/meta..............ok
t/proxy.............skipping test on this platform
t/shell.............ok
t/subclass..........ok
Failed Test  Status Wstat Total Fail  Failed  List of failed
-------------------------------------------------------------------------------
t/examp.t       255 65280   186  157  84.41%  30-186
1 test skipped.
Failed 1/7 test scripts, 85.71% okay. 157/247 subtests failed, 36.44% okay.
make: *** [test_dynamic] Error 2

So there seems to be a problem with my build, again this 

	Test returned status 255 (wstat 65280, 0xff00)

message.

Any hints ??

My configuration:

System:   WinNT 4.0/SP3
          Cygwin B20.1 with egcs-1.1.2
           - cygwin1.dll - ftp://ftp.franken.de/pub/win32/develop/gnuwin32/cygwin/porters/Vinschen_Corinna/B20
           - everything mounted binary,
           - CYGWIN = tty title binmode ntea

Software:  Xemacs-21.0/Cygwin - ftp://ftp.xemacs.org/pub/xemacs/xemacs-21.0/
           inetutils-1.3.2 - ftp://ftp.gnu.org/pub/gnu (with patch from Sergey)

Ciao
  Volker

--
Want to unsubscribe from this list?
Send a message to [email-masked]